@import url("https://fonts.cdnfonts.com/css/neue-haas-grotesk-display-pro");


body {

    --color-primary: #0ff9dd;
    --color-secondary: #6a17f1;
    --color-primary-light: white;
    --color-primary-dark: #007f67;
    --color-error: #c33;
    --color-success: #4bb544;
    --border-radius: 30px;

    width: 100vw;
    height: 100vh;
    background-image: url(/Stellenportal/images_stellenportal/paperwrap-background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font: normal normal normal 25px/29px Neue Haas Grotesk Display Pro;
    letter-spacing: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container {
    width: 400px;
    max-width: 400px;
    margin: 1rem;
    padding: 2rem;
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.2);
    border-radius: var(--border-radius);
    background-color: rgba(255, 255, 255, 0.1)
}

.nav_logo {
    width: 4.938rem;
    height: 2.938rem;
    padding-left: 160.5px;
    padding-bottom: 15px;
}

.container, .form__input, .form__button {
    font: 500 1rem "Neue Haas Grotesk Display Pro", sans-serif;
}

.form--hidden {
    display: none;
}

.form > *:first-child {
    margin-top: 0;   
}

.form > *:last-child {
    margin-bottom: 0;   
}

.form__title {
    color: var(--color-primary-light);
    margin-top: 0;
    margin-bottom: 2rem;
    text-align: center;
}

.form__message {
    text-align: center;
    margin-bottom: 1rem;
}

.form__message--success {
    color: var(--color-success);
}

.form__message--error {
    color: var(--color-error);
}

.form__input-group {
    margin-bottom: 1rem;
}

.form__input {
    display: block;
    width: 100%;
    padding: 0.75rem;
    box-sizing: border-box;
    border-radius: var(--border-radius);
    border: 1px solid #dddddd;
    outline: none;
    background: #eeeeee;
    transition: background 0.2s border-color 0.2s;
}

.form__input:focus {
    border-color: var(--color-primary);
    background: #ffffff;
}

.form__input--error {
    color: var(--color-error);
    border-color: var(--color-error);
}

.form__input-error-message {
    margin-top: 0.5rem;
    font-size: 0.85rem;
    color: var(--color-error);
}

.form__button {
    width: 100%;
    padding: 1rem 2rem;
    font-weight: bold;
    font-size: 1.1rem;
    color: #fff;
    border: none;
    border-radius: var(--border-radius);
    outline: none;
    cursor: pointer;
    background: var(--color-primary);
}

.form__button:hover {
    background: var(--color-primary-dark);
}

.form__button:active {
    transform: scale(0.98);
}

.form__text {
    text-align: center;
}

.form__link {
    color: var(--color-primary-light);
    text-decoration: none;
    cursor: pointer;
}

.form__link:hover {
    text-decoration: underline;
}